View Issue Details

IDProjectCategoryView StatusLast Update
0000497XMB1Bugspublic2018-01-18 06:09
ReportermiqrogrooveAssigned Tomiqrogroove 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.9.8 SP2 
Target Version1.9.11.15Fixed in Version1.9.11.15 
Summary0000497: HTTP Header Elements Should Be Comma Separated
DescriptionIn files.php, the Cache-Control header contains a semi-colon, which appears to be a syntax error.
TagsNo tags attached.
MySQL Version
PHP Version
Web Server
Browser
Flags
Original Reporter
SVN Revision2715

Activities

Xian

2017-09-16 21:22

reporter   ~0000338

changed: header("Cache-Control: public; max-age=604800");

to: header("Cache-Control: max-age=604800, public");

this will be included in 1.9.12.5.BETA package.

files.php (6,592 bytes)

miqrogroove

2017-12-21 08:24

administrator   ~0000350

Xian, I could not find any reference to this in the 1.9.11.14 packages. I'm changing the semicolon to a comma and marking this as fixed in trunk. Unless the tokens need to appear in a specific order, this should be adequate.

Issue History

Date Modified Username Field Change
2013-01-16 13:56 miqrogroove New Issue
2017-09-16 21:22 Xian File Added: files.php
2017-09-16 21:22 Xian Note Added: 0000338
2017-12-20 07:10 miqrogroove Target Version 1.9.11.14 => 1.9.11.15
2017-12-21 08:15 miqrogroove Assigned To => miqrogroove
2017-12-21 08:15 miqrogroove Status new => assigned
2017-12-21 08:21 miqrogroove Product Version => 1.9.8 SP2
2017-12-21 08:24 miqrogroove Status assigned => resolved
2017-12-21 08:24 miqrogroove Resolution open => fixed
2017-12-21 08:24 miqrogroove Fixed in Version => 1.9.11.15
2017-12-21 08:24 miqrogroove SVN Revision => 2715
2017-12-21 08:24 miqrogroove Note Added: 0000350
2018-01-18 06:09 miqrogroove Status resolved => closed